### Method

# GdkPixbuf PixbufAnimationIter get_pixbuf

deprecated: 2.44

#### Declaration [src]

    GdkPixbuf*
    gdk_pixbuf_animation_iter_get_pixbuf (
      GdkPixbufAnimationIter* iter
    )

#### Description [src]

Gets the current pixbuf which should be displayed.

The pixbuf might not be the same size as the animation itself (gdk_pixbuf_animation_get_width(), gdk_pixbuf_animation_get_height()).

This pixbuf should be displayed for `gdk_pixbuf_animation_iter_get_delay_time()` milliseconds.

The caller of this function does not own a reference to the returned pixbuf; the returned pixbuf will become invalid when the iterator advances to the next frame, which may happen anytime you call gdk_pixbuf_animation_iter_advance().

Copy the pixbuf to keep it (don’t just add a reference), as it may get recycled as you advance the iterator.

Deprecated since: 2.44

Use a different image loading library for animatable assets.

#### Return value

Type: `GdkPixbuf`

The pixbuf to be displayed.

The returned data is owned by the instance.